<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-connect-node-card title="Name your Data Broker" [showClose]="true" [routeOnBack]="authRequired ? '../auth': '../'">
  <ng-template #pageIndicator> {{authRequired ? '2/3': '1/2'}} </ng-template>
  <div class="flex flex-col items-center">
    <div class="text-text-300 w-96">It will be used to identify your Data Broker within your organisation</div>
    <div class="mt-10">
      <span class="p-input-icon-left">
        <i class="fa fa-circle-nodes"></i>
        <input type="text" pInputText placeholder="MyNode" [(ngModel)]="name" />
      </span>
    </div>
    <app-info class="mt-4" message="The name can be changed by re-registering the Broker"></app-info>
  </div>
  <div class="mt-10 pb-20 flex flex-col gap-1">
    <p-button label="Continue" (click)="continue()" [style]="{ width: '200px' }"></p-button>
  </div>
</app-connect-node-card>
